Makefile.in updated after https://codereview.scilab.org/#/c/17734/
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20 #
21 # Copyright (C) 2012 - 2016 - Scilab Enterprises
22 #
23 # This file is hereby licensed under the terms of the GNU GPL v2.0,
24 # pursuant to article 5.3.4 of the CeCILL v.2.1.
25 # This file was originally licensed under the terms of the CeCILL v2.1,
26 # and continues to be available under such terms.
27 # For more information, see the COPYING file which you should have received
28 # along with this program.
29 # === LICENSE_END ===
30 #
31
32 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
33 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
34 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
35 #
36 # Copyright (C) 2012 - 2016 - Scilab Enterprises
37 #
38 # This file is hereby licensed under the terms of the GNU GPL v2.0,
39 # pursuant to article 5.3.4 of the CeCILL v.2.1.
40 # This file was originally licensed under the terms of the CeCILL v2.1,
41 # and continues to be available under such terms.
42 # For more information, see the COPYING file which you should have received
43 # along with this program.
44 # === LICENSE_END ===
45 #
46
47 ##########
48 ### Makefile included stuff
49 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
50 ##########
51
52
53 VPATH = @srcdir@
54 am__is_gnu_make = { \
55   if test -z '$(MAKELEVEL)'; then \
56     false; \
57   elif test -n '$(MAKE_HOST)'; then \
58     true; \
59   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
60     true; \
61   else \
62     false; \
63   fi; \
64 }
65 am__make_running_with_option = \
66   case $${target_option-} in \
67       ?) ;; \
68       *) echo "am__make_running_with_option: internal error: invalid" \
69               "target option '$${target_option-}' specified" >&2; \
70          exit 1;; \
71   esac; \
72   has_opt=no; \
73   sane_makeflags=$$MAKEFLAGS; \
74   if $(am__is_gnu_make); then \
75     sane_makeflags=$$MFLAGS; \
76   else \
77     case $$MAKEFLAGS in \
78       *\\[\ \   ]*) \
79         bs=\\; \
80         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
81           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
82     esac; \
83   fi; \
84   skip_next=no; \
85   strip_trailopt () \
86   { \
87     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
88   }; \
89   for flg in $$sane_makeflags; do \
90     test $$skip_next = yes && { skip_next=no; continue; }; \
91     case $$flg in \
92       *=*|--*) continue;; \
93         -*I) strip_trailopt 'I'; skip_next=yes;; \
94       -*I?*) strip_trailopt 'I';; \
95         -*O) strip_trailopt 'O'; skip_next=yes;; \
96       -*O?*) strip_trailopt 'O';; \
97         -*l) strip_trailopt 'l'; skip_next=yes;; \
98       -*l?*) strip_trailopt 'l';; \
99       -[dEDm]) skip_next=yes;; \
100       -[JT]) skip_next=yes;; \
101     esac; \
102     case $$flg in \
103       *$$target_option*) has_opt=yes; break;; \
104     esac; \
105   done; \
106   test $$has_opt = yes
107 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
108 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
109 pkgdatadir = $(datadir)/@PACKAGE@
110 pkgincludedir = $(includedir)/@PACKAGE@
111 pkglibdir = $(libdir)/@PACKAGE@
112 pkglibexecdir = $(libexecdir)/@PACKAGE@
113 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
114 install_sh_DATA = $(install_sh) -c -m 644
115 install_sh_PROGRAM = $(install_sh) -c
116 install_sh_SCRIPT = $(install_sh) -c
117 INSTALL_HEADER = $(INSTALL_DATA)
118 transform = $(program_transform_name)
119 NORMAL_INSTALL = :
120 PRE_INSTALL = :
121 POST_INSTALL = :
122 NORMAL_UNINSTALL = :
123 PRE_UNINSTALL = :
124 POST_UNINSTALL = :
125 build_triplet = @build@
126 host_triplet = @host@
127 @GIWS_TRUE@am__append_1 = giws
128 @SWIG_TRUE@am__append_2 = swig
129 @GUI_TRUE@am__append_3 = libsciui_data.la
130 @NEED_JAVA_TRUE@am__append_4 = java
131 subdir = modules/ui_data
132 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
133 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
134         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
135         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
136         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
137         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
138         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
139         $(top_srcdir)/m4/intel_compiler.m4 \
140         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
141         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
142         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
143         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
144         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
145         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
146         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
147         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
148         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
149         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
150         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
151 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
152         $(ACLOCAL_M4)
153 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
154 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
155 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
156 CONFIG_CLEAN_FILES =
157 CONFIG_CLEAN_VPATH_FILES =
158 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
159 am__vpath_adj = case $$p in \
160     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
161     *) f=$$p;; \
162   esac;
163 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
164 am__install_max = 40
165 am__nobase_strip_setup = \
166   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
167 am__nobase_strip = \
168   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
169 am__nobase_list = $(am__nobase_strip_setup); \
170   for p in $$list; do echo "$$p $$p"; done | \
171   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
172   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
173     if (++n[$$2] == $(am__install_max)) \
174       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
175     END { for (dir in files) print dir, files[dir] }'
176 am__base_list = \
177   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
178   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
179 am__uninstall_files_from_dir = { \
180   test -z "$$files" \
181     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
182     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
183          $(am__cd) "$$dir" && rm -f $$files; }; \
184   }
185 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
186         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
187         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
188         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
189 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
190 libsciui_data_algo_la_LIBADD =
191 am__dirstamp = $(am__leading_dot)dirstamp
192 am__objects_1 = src/jni/libsciui_data_algo_la-ui_data_wrap.lo \
193         src/c/libsciui_data_algo_la-PutScilabVariable.lo
194 am__objects_2 = src/jni/libsciui_data_algo_la-BrowseVar.lo \
195         src/jni/libsciui_data_algo_la-EditVar.lo \
196         src/jni/libsciui_data_algo_la-FileBrowser.lo
197 am__objects_3 = src/cpp/libsciui_data_algo_la-BrowseVarManager.lo \
198         src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo
199 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
200         $(am__objects_3)
201 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
202 AM_V_lt = $(am__v_lt_@AM_V@)
203 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
204 am__v_lt_0 = --silent
205 am__v_lt_1 = 
206 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
207 libsciui_data_disable_la_LIBADD =
208 am__objects_4 = src/noui_data/libsciui_data_disable_la-noui_data.lo
209 am__objects_5 =  \
210         src/noui_data/libsciui_data_disable_la-noui_data_gw.lo
211 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4) \
212         $(am__objects_5)
213 libsciui_data_disable_la_OBJECTS =  \
214         $(am_libsciui_data_disable_la_OBJECTS)
215 am__DEPENDENCIES_1 =
216 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la \
217         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
218 am__objects_6 = sci_gateway/cpp/libsciui_data_la-sci_editvar.lo \
219         sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo \
220         sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo \
221         sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo \
222         sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo \
223         sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo
224 am_libsciui_data_la_OBJECTS = $(am__objects_6)
225 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
226 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
227         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
228         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
229         $(LDFLAGS) -o $@
230 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
231 AM_V_P = $(am__v_P_@AM_V@)
232 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
233 am__v_P_0 = false
234 am__v_P_1 = :
235 AM_V_GEN = $(am__v_GEN_@AM_V@)
236 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
237 am__v_GEN_0 = @echo "  GEN     " $@;
238 am__v_GEN_1 = 
239 AM_V_at = $(am__v_at_@AM_V@)
240 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
241 am__v_at_0 = @
242 am__v_at_1 = 
243 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
244 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
245 am__depfiles_maybe = depfiles
246 am__mv = mv -f
247 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
248         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
249 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
250         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
251         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
252         $(AM_CFLAGS) $(CFLAGS)
253 AM_V_CC = $(am__v_CC_@AM_V@)
254 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
255 am__v_CC_0 = @echo "  CC      " $@;
256 am__v_CC_1 = 
257 CCLD = $(CC)
258 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
259         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
260         $(AM_LDFLAGS) $(LDFLAGS) -o $@
261 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
262 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
263 am__v_CCLD_0 = @echo "  CCLD    " $@;
264 am__v_CCLD_1 = 
265 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
266         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
267 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
268         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
269         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
270         $(AM_CXXFLAGS) $(CXXFLAGS)
271 AM_V_CXX = $(am__v_CXX_@AM_V@)
272 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
273 am__v_CXX_0 = @echo "  CXX     " $@;
274 am__v_CXX_1 = 
275 CXXLD = $(CXX)
276 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
277         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
278         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
279 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
280 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
281 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
282 am__v_CXXLD_1 = 
283 SOURCES = $(libsciui_data_algo_la_SOURCES) \
284         $(libsciui_data_disable_la_SOURCES) \
285         $(libsciui_data_la_SOURCES)
286 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
287         $(libsciui_data_disable_la_SOURCES) \
288         $(libsciui_data_la_SOURCES)
289 am__can_run_installinfo = \
290   case $$AM_UPDATE_INFO_DIR in \
291     n|no|NO) false;; \
292     *) (install-info --version) >/dev/null 2>&1;; \
293   esac
294 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
295         $(nobase_libsciui_data_la_icons_DATA)
296 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
297 # Read a list of newline-separated strings from the standard input,
298 # and print each of them once, without duplicates.  Input order is
299 # *not* preserved.
300 am__uniquify_input = $(AWK) '\
301   BEGIN { nonempty = 0; } \
302   { items[$$0] = 1; nonempty = 1; } \
303   END { if (nonempty) { for (i in items) print i; }; } \
304 '
305 # Make sure the list of sources is unique.  This is necessary because,
306 # e.g., the same source file might be shared among _SOURCES variables
307 # for different programs/libraries.
308 am__define_uniq_tagged_files = \
309   list='$(am__tagged_files)'; \
310   unique=`for i in $$list; do \
311     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
312   done | $(am__uniquify_input)`
313 ETAGS = etags
314 CTAGS = ctags
315 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
316         $(top_srcdir)/config/depcomp \
317         $(top_srcdir)/config/mkinstalldirs
318 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
319 ACLOCAL = @ACLOCAL@
320 ALL_LINGUAS = @ALL_LINGUAS@
321 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
322 AMTAR = @AMTAR@
323 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
324 ANT = @ANT@
325 ANTLR = @ANTLR@
326 AR = @AR@
327 ARPACK_LIBS = @ARPACK_LIBS@
328 ASM3 = @ASM3@
329 AUTOCONF = @AUTOCONF@
330 AUTOHEADER = @AUTOHEADER@
331 AUTOMAKE = @AUTOMAKE@
332 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
333 AWK = @AWK@
334 BATIK = @BATIK@
335 BLAS_CFLAGS = @BLAS_CFLAGS@
336 BLAS_LIBS = @BLAS_LIBS@
337 CC = @CC@
338 CCACHE = @CCACHE@
339 CCDEPMODE = @CCDEPMODE@
340 CFLAGS = @CFLAGS@
341 CHECKSTYLE = @CHECKSTYLE@
342 COBERTURA = @COBERTURA@
343 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
344 COMMONS_IO = @COMMONS_IO@
345 COMMONS_LOGGING = @COMMONS_LOGGING@
346 CPP = @CPP@
347 CPPFLAGS = @CPPFLAGS@
348 CURL_CFLAGS = @CURL_CFLAGS@
349 CURL_CONFIG = @CURL_CONFIG@
350 CURL_LIBS = @CURL_LIBS@
351 CURL_VERSION = @CURL_VERSION@
352 CXX = @CXX@
353 CXXCPP = @CXXCPP@
354 CXXDEPMODE = @CXXDEPMODE@
355 CXXFLAGS = @CXXFLAGS@
356 CYGPATH_W = @CYGPATH_W@
357 DEFS = @DEFS@
358 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
359 DEPDIR = @DEPDIR@
360 DLLTOOL = @DLLTOOL@
361 DOCBOOK_ROOT = @DOCBOOK_ROOT@
362 DOXYGEN_BIN = @DOXYGEN_BIN@
363 DSYMUTIL = @DSYMUTIL@
364 DUMPBIN = @DUMPBIN@
365 ECHO_C = @ECHO_C@
366 ECHO_N = @ECHO_N@
367 ECHO_T = @ECHO_T@
368 ECJ = @ECJ@
369 EGREP = @EGREP@
370 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
371 EXEEXT = @EXEEXT@
372 F77 = @F77@
373 FFLAGS = @FFLAGS@
374 FFTW3_LIB = @FFTW3_LIB@
375 FFTW_ENABLE = @FFTW_ENABLE@
376 FGREP = @FGREP@
377 FLEXDOCK = @FLEXDOCK@
378 FLIBS = @FLIBS@
379 FOP = @FOP@
380 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
381 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
382 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
383 FREEHEP_IO = @FREEHEP_IO@
384 FREEHEP_UTIL = @FREEHEP_UTIL@
385 GENHTML = @GENHTML@
386 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
387 GIWS_BIN = @GIWS_BIN@
388 GLUEGEN2_RT = @GLUEGEN2_RT@
389 GMSGFMT = @GMSGFMT@
390 GMSGFMT_015 = @GMSGFMT_015@
391 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
392 GREP = @GREP@
393 GUI_ENABLE = @GUI_ENABLE@
394 HAMCREST = @HAMCREST@
395 HAVE_CXX11 = @HAVE_CXX11@
396 HDF5_CFLAGS = @HDF5_CFLAGS@
397 HDF5_LIBS = @HDF5_LIBS@
398 HELP_ENABLE = @HELP_ENABLE@
399 INSTALL = @INSTALL@
400 INSTALL_DATA = @INSTALL_DATA@
401 INSTALL_PROGRAM = @INSTALL_PROGRAM@
402 INSTALL_SCRIPT = @INSTALL_SCRIPT@
403 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
404 INTLLIBS = @INTLLIBS@
405 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
406 JAR = @JAR@
407 JAVA = @JAVA@
408 JAVAC = @JAVAC@
409 JAVAC_DEBUG = @JAVAC_DEBUG@
410 JAVADOC = @JAVADOC@
411 JAVAH = @JAVAH@
412 JAVASCI_ENABLE = @JAVASCI_ENABLE@
413 JAVA_ENABLE = @JAVA_ENABLE@
414 JAVA_G = @JAVA_G@
415 JAVA_HOME = @JAVA_HOME@
416 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
417 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
418 JDB = @JDB@
419 JEUCLID_CORE = @JEUCLID_CORE@
420 JGRAPHX = @JGRAPHX@
421 JHALL = @JHALL@
422 JLATEXMATH = @JLATEXMATH@
423 JLATEXMATH_FOP = @JLATEXMATH_FOP@
424 JOGL2 = @JOGL2@
425 JROSETTA_API = @JROSETTA_API@
426 JROSETTA_ENGINE = @JROSETTA_ENGINE@
427 JUNIT4 = @JUNIT4@
428 LAPACK_LIBS = @LAPACK_LIBS@
429 LCOV = @LCOV@
430 LD = @LD@
431 LDFLAGS = @LDFLAGS@
432 LEX = @LEX@
433 LEXLIB = @LEXLIB@
434 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
435 LIBICONV = @LIBICONV@
436 LIBINTL = @LIBINTL@
437 LIBM = @LIBM@
438 LIBOBJS = @LIBOBJS@
439 LIBS = @LIBS@
440 LIBTOOL = @LIBTOOL@
441 LIPO = @LIPO@
442 LN_S = @LN_S@
443 LOGGING_LEVEL = @LOGGING_LEVEL@
444 LOOKS = @LOOKS@
445 LTLIBICONV = @LTLIBICONV@
446 LTLIBINTL = @LTLIBINTL@
447 LTLIBOBJS = @LTLIBOBJS@
448 MAINT = @MAINT@
449 MAKEINFO = @MAKEINFO@
450 MANIFEST_TOOL = @MANIFEST_TOOL@
451 MATIO_CFLAGS = @MATIO_CFLAGS@
452 MATIO_ENABLE = @MATIO_ENABLE@
453 MATIO_LIBS = @MATIO_LIBS@
454 MKDIR_P = @MKDIR_P@
455 MPI_ENABLE = @MPI_ENABLE@
456 MSGCAT = @MSGCAT@
457 MSGFMT = @MSGFMT@
458 MSGFMT_015 = @MSGFMT_015@
459 MSGMERGE = @MSGMERGE@
460 NM = @NM@
461 NMEDIT = @NMEDIT@
462 OBJDUMP = @OBJDUMP@
463 OBJEXT = @OBJEXT@
464 OCAMLC = @OCAMLC@
465 OCAMLDEP = @OCAMLDEP@
466 OCAMLLEX = @OCAMLLEX@
467 OCAMLOPT = @OCAMLOPT@
468 OCAMLYACC = @OCAMLYACC@
469 OPENMPI_CC = @OPENMPI_CC@
470 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
471 OPENMPI_CXX = @OPENMPI_CXX@
472 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
473 OPENMPI_LIBS = @OPENMPI_LIBS@
474 OPENMP_CFLAGS = @OPENMP_CFLAGS@
475 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
476 OPENMP_ENABLE = @OPENMP_ENABLE@
477 OPENMP_LIBS = @OPENMP_LIBS@
478 OTOOL = @OTOOL@
479 OTOOL64 = @OTOOL64@
480 PACKAGE = @PACKAGE@
481 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
482 PACKAGE_NAME = @PACKAGE_NAME@
483 PACKAGE_STRING = @PACKAGE_STRING@
484 PACKAGE_TARNAME = @PACKAGE_TARNAME@
485 PACKAGE_URL = @PACKAGE_URL@
486 PACKAGE_VERSION = @PACKAGE_VERSION@
487 PATH_SEPARATOR = @PATH_SEPARATOR@
488 PCRE_CFLAGS = @PCRE_CFLAGS@
489 PCRE_CONFIG = @PCRE_CONFIG@
490 PCRE_LIBS = @PCRE_LIBS@
491 PCRE_VERSION = @PCRE_VERSION@
492 PKG_CONFIG = @PKG_CONFIG@
493 POSUB = @POSUB@
494 POW_LIB = @POW_LIB@
495 PYTHON = @PYTHON@
496 RANLIB = @RANLIB@
497 RELOCATABLE = @RELOCATABLE@
498 RT_LIB = @RT_LIB@
499 SAXON = @SAXON@
500 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
501 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
502 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
503 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
504 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
505 SCIRENDERER = @SCIRENDERER@
506 SCIRENDERER_CP = @SCIRENDERER_CP@
507 SCI_CFLAGS = @SCI_CFLAGS@
508 SCI_CXXFLAGS = @SCI_CXXFLAGS@
509 SCI_FFLAGS = @SCI_FFLAGS@
510 SCI_LDFLAGS = @SCI_LDFLAGS@
511 SED = @SED@
512 SET_MAKE = @SET_MAKE@
513 SET_RELOCATABLE = @SET_RELOCATABLE@
514 SHELL = @SHELL@
515 SKINLF = @SKINLF@
516 SPLINT = @SPLINT@
517 STRIP = @STRIP@
518 SWIG_BIN = @SWIG_BIN@
519 SWIG_JAVA = @SWIG_JAVA@
520 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
521 SWIG_SCILAB = @SWIG_SCILAB@
522 TCLTK_LIBS = @TCLTK_LIBS@
523 TCL_INC_PATH = @TCL_INC_PATH@
524 TK_INC_PATH = @TK_INC_PATH@
525 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
526 UMFPACK_ENABLE = @UMFPACK_ENABLE@
527 UMFPACK_LIB = @UMFPACK_LIB@
528 USE_NLS = @USE_NLS@
529 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
530 VALGRIND_LIBS = @VALGRIND_LIBS@
531 VERSION = @VERSION@
532 WITH_OCAML = @WITH_OCAML@
533 WITH_TKSCI = @WITH_TKSCI@
534 XCOS_ENABLE = @XCOS_ENABLE@
535 XGETTEXT = @XGETTEXT@
536 XGETTEXT_015 = @XGETTEXT_015@
537 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
538 XMKMF = @XMKMF@
539 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
540 XML_APIS_EXT = @XML_APIS_EXT@
541 XML_CONFIG = @XML_CONFIG@
542 XML_FLAGS = @XML_FLAGS@
543 XML_LIBS = @XML_LIBS@
544 XML_VERSION = @XML_VERSION@
545 X_CFLAGS = @X_CFLAGS@
546 X_EXTRA_LIBS = @X_EXTRA_LIBS@
547 X_LIBS = @X_LIBS@
548 X_PRE_LIBS = @X_PRE_LIBS@
549 YACC = @YACC@
550 YFLAGS = @YFLAGS@
551 abs_builddir = @abs_builddir@
552 abs_srcdir = @abs_srcdir@
553 abs_top_builddir = @abs_top_builddir@
554 abs_top_srcdir = @abs_top_srcdir@
555 ac_ct_AR = @ac_ct_AR@
556 ac_ct_CC = @ac_ct_CC@
557 ac_ct_CXX = @ac_ct_CXX@
558 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
559 ac_ct_F77 = @ac_ct_F77@
560 am__include = @am__include@
561 am__leading_dot = @am__leading_dot@
562 am__quote = @am__quote@
563 am__tar = @am__tar@
564 am__untar = @am__untar@
565 bindir = @bindir@
566 build = @build@
567 build_alias = @build_alias@
568 build_cpu = @build_cpu@
569 build_os = @build_os@
570 build_vendor = @build_vendor@
571 builddir = @builddir@
572 cxx_present = @cxx_present@
573 datadir = @datadir@
574 datarootdir = @datarootdir@
575 docdir = @docdir@
576 dvidir = @dvidir@
577 exec_prefix = @exec_prefix@
578 host = @host@
579 host_alias = @host_alias@
580 host_cpu = @host_cpu@
581 host_os = @host_os@
582 host_vendor = @host_vendor@
583 htmldir = @htmldir@
584 includedir = @includedir@
585 infodir = @infodir@
586 install_sh = @install_sh@
587 libdir = @libdir@
588 libexecdir = @libexecdir@
589 localedir = @localedir@
590 localstatedir = @localstatedir@
591 mandir = @mandir@
592 mkdir_p = @mkdir_p@
593 oldincludedir = @oldincludedir@
594 pdfdir = @pdfdir@
595 prefix = @prefix@
596 program_transform_name = @program_transform_name@
597 psdir = @psdir@
598 sbindir = @sbindir@
599 sharedstatedir = @sharedstatedir@
600 srcdir = @srcdir@
601 sysconfdir = @sysconfdir@
602 target_alias = @target_alias@
603 top_build_prefix = @top_build_prefix@
604 top_builddir = @top_builddir@
605 top_srcdir = @top_srcdir@
606 yacc_present = @yacc_present@
607
608 #### Target ######
609 modulename = ui_data
610
611 #### ui_data : Conf files ####
612 libsciui_data_la_rootdir = $(mydatadir)
613 libsciui_data_la_root_DATA = license.txt
614
615 #### ui_data : init scripts ####
616 libsciui_data_la_etcdir = $(mydatadir)/etc
617 libsciui_data_la_etc_DATA = \
618         etc/newsfeed.css \
619         etc/newsfeed.xml \
620         etc/ui_data.quit \
621         etc/ui_data.start \
622         etc/variablebrowser_menubar.xml \
623         etc/variableeditor_menubar.xml \
624         etc/XConfiguration-variables.xml \
625         etc/XConfiguration-variables.xsl
626
627 UI_DATA_JNI_SOURCES = \
628     src/jni/BrowseVar.cpp \
629     src/jni/EditVar.cpp \
630         src/jni/FileBrowser.cpp
631
632 UI_DATA_C_SOURCES = \
633     src/jni/ui_data_wrap.c \
634     src/c/PutScilabVariable.c
635
636 UI_DATA_CXX_SOURCES = \
637     src/cpp/BrowseVarManager.cpp \
638     src/cpp/FileBrowserChDir.cpp
639
640 GIWS_WRAPPERS = \
641     src/jni/BrowseVar.giws.xml \
642     src/jni/EditVar.giws.xml \
643     src/jni/FileBrowser.giws.xml
644
645 SWIG_WRAPPERS = \
646     src/jni/ui_data.i
647
648 BUILT_SOURCES = $(am__append_1) $(am__append_2)
649 GATEWAY_CXX_SOURCES = \
650     sci_gateway/cpp/sci_editvar.cpp \
651     sci_gateway/cpp/sci_browsevar.cpp \
652     sci_gateway/cpp/sci_filebrowser.cpp \
653     sci_gateway/cpp/sci_updatebrowsevar.cpp \
654     sci_gateway/cpp/sci_closeEditvar.cpp \
655     sci_gateway/cpp/ui_data_gw.cpp
656
657 libsciui_data_la_CPPFLAGS = \
658     $(JAVA_JNI_INCLUDE) \
659     -I$(srcdir)/includes/ \
660     -I$(srcdir)/src/cpp/ \
661     -I$(srcdir)/src/c/ \
662     -I$(srcdir)/src/jni/ \
663     -I$(top_srcdir)/modules/ast/includes/ast/ \
664     -I$(top_srcdir)/modules/ast/includes/exps/ \
665     -I$(top_srcdir)/modules/ast/includes/operations/ \
666     -I$(top_srcdir)/modules/ast/includes/parse/ \
667     -I$(top_srcdir)/modules/ast/includes/symbol/ \
668     -I$(top_srcdir)/modules/ast/includes/system_env/ \
669     -I$(top_srcdir)/modules/ast/includes/types/ \
670     -I$(top_srcdir)/modules/ast/includes/analysis/ \
671     -I$(top_srcdir)/modules/jvm/includes/ \
672     -I$(top_srcdir)/modules/output_stream/includes/ \
673     -I$(top_srcdir)/modules/commons/src/jni/ \
674     -I$(top_srcdir)/modules/localization/includes/ \
675     -I$(top_srcdir)/modules/api_scilab/includes/ \
676     -I$(top_srcdir)/modules/fileio/includes/ \
677     -I$(top_srcdir)/modules/string/includes/ \
678     -I$(top_srcdir)/modules/dynamic_link/includes/ \
679     -I$(top_srcdir)/modules/threads/includes/ \
680     -I$(top_srcdir)/modules/console/includes/ \
681     $(AM_CPPFLAGS)
682
683
684 # Without the ui_data module
685 libsciui_data_disable_la_CPPFLAGS = \
686     -I$(srcdir)/includes/ \
687     -I$(top_srcdir)/modules/ast/includes/ast/ \
688     -I$(top_srcdir)/modules/ast/includes/exps/ \
689     -I$(top_srcdir)/modules/ast/includes/operations/ \
690     -I$(top_srcdir)/modules/ast/includes/parse/ \
691     -I$(top_srcdir)/modules/ast/includes/symbol/ \
692     -I$(top_srcdir)/modules/ast/includes/system_env/ \
693     -I$(top_srcdir)/modules/ast/includes/types/ \
694     -I$(top_srcdir)/modules/ast/includes/analysis/ \
695     -I$(top_srcdir)/modules/localization/includes/ \
696     -I$(top_srcdir)/modules/output_stream/includes \
697     $(AM_CPPFLAGS)
698
699 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
700 UI_DATA_DISABLE_CXX_SOURCES = src/noui_data/noui_data_gw.cpp
701 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES) $(UI_DATA_DISABLE_CXX_SOURCES)
702 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
703 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
704 libsciui_data_la_LDFLAGS = $(AM_LDFLAGS)
705 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
706 libsciui_data_la_SOURCES = $(GATEWAY_CXX_SOURCES)
707 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
708
709 # For the code check (splint)
710 CHECK_SRC = $(UI_DATA_C_SOURCES)
711 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
712 libsciui_data_la_LIBADD = libsciui_data-algo.la $(X_LIBS) $(X_EXTRA_LIBS)
713
714 #### ui_data : gateway declaration ####
715 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
716
717 #### ui_data : icons files ####
718 #
719 # Generated with:
720 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
721 libsciui_data_la_iconsdir = $(mydatadir)/
722 nobase_libsciui_data_la_icons_DATA = \
723 images/icons/16x16/mimetypes/array_up.png \
724 images/icons/16x16/mimetypes/boolean.png \
725 images/icons/16x16/mimetypes/cell.png \
726 images/icons/16x16/mimetypes/double.png \
727 images/icons/16x16/mimetypes/fptr.png \
728 images/icons/16x16/mimetypes/function.png \
729 images/icons/16x16/mimetypes/handle.png \
730 images/icons/16x16/mimetypes/int.png \
731 images/icons/16x16/mimetypes/list.png \
732 images/icons/16x16/mimetypes/mlist.png \
733 images/icons/16x16/mimetypes/noicon.png \
734 images/icons/16x16/mimetypes/object.png \
735 images/icons/16x16/mimetypes/polynomial.png \
736 images/icons/16x16/mimetypes/sparse.png \
737 images/icons/16x16/mimetypes/string.png \
738 images/icons/16x16/mimetypes/timeseries.png \
739 images/icons/16x16/mimetypes/tlist.png \
740 images/icons/16x16/mimetypes/uint.png \
741 images/icons/16x16/mimetypes/user.png
742
743 @GUI_TRUE@USEANT = 1
744
745 # Where all the Scilab stuff is installed (macros, help, ...)
746 mydatadir = $(pkgdatadir)/modules/$(modulename)
747
748 # Set AM_* SCI detected settings
749 AM_CPPFLAGS = $(SCI_CPPFLAGS)
750 AM_CFLAGS = $(SCI_CFLAGS)
751 AM_CXXFLAGS = $(SCI_CXXFLAGS)
752 # append includes to AM_FFLAGS to manage fortran includes
753 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
754
755 # Tag shared libraries with the Scilab version
756 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
757
758 # splint options
759 SPLINT_OPTIONS = -weak -booltype BOOL
760
761 ########################### JAVA ######################################
762 #### We are delegating java compilation to ant... Thanks to that
763 #### the procedure will be the same with Microsoft Windows (C)
764 #### and Linux/Unix
765 #######################################################################
766 TARGETS_ALL = $(am__append_4)
767
768 ################ MACROS ######################
769 # Rule to build a macro
770 # NOT USED  AT THE MOMENT
771 SUFFIXES = .sci
772
773 ########### INSTALL DOCUMENTATION ###################
774
775 # Install documentation files into the right target
776 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
777 # automake needs the html files to be present which is not the case when
778 # we are building Scilab
779
780 # Where it should be installed
781 pkgdocdir = $(mydatadir)
782
783 # What is the mask of the help source
784 DOCMASKXML = *.xml
785
786 # What is the mask of the MathML sources
787 DOCMASKMML = *.mml
788
789 ########### INSTALL DATA ###################
790 # Install macros, help & demos
791 # Where it should be installed
792 pkgmacrosdir = $(mydatadir)
793 # Which directory we process
794 MACRODIRS = macros/
795 # Mask of the Scilab sources macros
796 MACROMASK = *.sci
797 # Mask of the Scilab executable sources macros
798 MACROBUILDMASK = *.sce
799 # Mask of the Scilab compiled macros
800 MACROBINMASK = *.bin
801 # List of the standard directory for tests
802 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
803 # Where the demos should be installed
804 pkgdemosdir = $(mydatadir)
805 # List of the standard directory for demos
806 DEMOS_DIR = demos
807 # List of the standard directory for examples
808 EXAMPLES_DIR = examples
809 # Where to export JAVA archives (.jar)
810 JARDIR = jar/
811 # JAR files mask
812 JARMASK = *.jar
813 # Chapter file
814 HELP_CHAPTERDIR = help/
815 HELP_CHAPTERFILE = addchapter.sce
816 HELP_CHAPTERLANG = en_US fr_FR pt_BR
817 all: $(BUILT_SOURCES)
818         $(MAKE) $(AM_MAKEFLAGS) all-am
819
820 .SUFFIXES:
821 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
822 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
823         @for dep in $?; do \
824           case '$(am__configure_deps)' in \
825             *$$dep*) \
826               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
827                 && { if test -f $@; then exit 0; else break; fi; }; \
828               exit 1;; \
829           esac; \
830         done; \
831         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
832         $(am__cd) $(top_srcdir) && \
833           $(AUTOMAKE) --foreign modules/ui_data/Makefile
834 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
835         @case '$?' in \
836           *config.status*) \
837             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
838           *) \
839             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
840             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
841         esac;
842 $(top_srcdir)/Makefile.incl.am $(am__empty):
843
844 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
845         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
846
847 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
848         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
849 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
850         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
851 $(am__aclocal_m4_deps):
852
853 clean-noinstLTLIBRARIES:
854         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
855         @list='$(noinst_LTLIBRARIES)'; \
856         locs=`for p in $$list; do echo $$p; done | \
857               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
858               sort -u`; \
859         test -z "$$locs" || { \
860           echo rm -f $${locs}; \
861           rm -f $${locs}; \
862         }
863
864 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
865         @$(NORMAL_INSTALL)
866         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
867         list2=; for p in $$list; do \
868           if test -f $$p; then \
869             list2="$$list2 $$p"; \
870           else :; fi; \
871         done; \
872         test -z "$$list2" || { \
873           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
874           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
875           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
876           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
877         }
878
879 uninstall-pkglibLTLIBRARIES:
880         @$(NORMAL_UNINSTALL)
881         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
882         for p in $$list; do \
883           $(am__strip_dir) \
884           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
885           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
886         done
887
888 clean-pkglibLTLIBRARIES:
889         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
890         @list='$(pkglib_LTLIBRARIES)'; \
891         locs=`for p in $$list; do echo $$p; done | \
892               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
893               sort -u`; \
894         test -z "$$locs" || { \
895           echo rm -f $${locs}; \
896           rm -f $${locs}; \
897         }
898 src/jni/$(am__dirstamp):
899         @$(MKDIR_P) src/jni
900         @: > src/jni/$(am__dirstamp)
901 src/jni/$(DEPDIR)/$(am__dirstamp):
902         @$(MKDIR_P) src/jni/$(DEPDIR)
903         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
904 src/jni/libsciui_data_algo_la-ui_data_wrap.lo:  \
905         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
906 src/c/$(am__dirstamp):
907         @$(MKDIR_P) src/c
908         @: > src/c/$(am__dirstamp)
909 src/c/$(DEPDIR)/$(am__dirstamp):
910         @$(MKDIR_P) src/c/$(DEPDIR)
911         @: > src/c/$(DEPDIR)/$(am__dirstamp)
912 src/c/libsciui_data_algo_la-PutScilabVariable.lo:  \
913         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
914 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/$(am__dirstamp) \
915         src/jni/$(DEPDIR)/$(am__dirstamp)
916 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/$(am__dirstamp) \
917         src/jni/$(DEPDIR)/$(am__dirstamp)
918 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/$(am__dirstamp) \
919         src/jni/$(DEPDIR)/$(am__dirstamp)
920 src/cpp/$(am__dirstamp):
921         @$(MKDIR_P) src/cpp
922         @: > src/cpp/$(am__dirstamp)
923 src/cpp/$(DEPDIR)/$(am__dirstamp):
924         @$(MKDIR_P) src/cpp/$(DEPDIR)
925         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
926 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo:  \
927         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
928 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo:  \
929         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
930
931 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
932         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
933 src/noui_data/$(am__dirstamp):
934         @$(MKDIR_P) src/noui_data
935         @: > src/noui_data/$(am__dirstamp)
936 src/noui_data/$(DEPDIR)/$(am__dirstamp):
937         @$(MKDIR_P) src/noui_data/$(DEPDIR)
938         @: > src/noui_data/$(DEPDIR)/$(am__dirstamp)
939 src/noui_data/libsciui_data_disable_la-noui_data.lo:  \
940         src/noui_data/$(am__dirstamp) \
941         src/noui_data/$(DEPDIR)/$(am__dirstamp)
942 src/noui_data/libsciui_data_disable_la-noui_data_gw.lo:  \
943         src/noui_data/$(am__dirstamp) \
944         src/noui_data/$(DEPDIR)/$(am__dirstamp)
945
946 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
947         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
948 sci_gateway/cpp/$(am__dirstamp):
949         @$(MKDIR_P) sci_gateway/cpp
950         @: > sci_gateway/cpp/$(am__dirstamp)
951 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
952         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
953         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
954 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo:  \
955         sci_gateway/cpp/$(am__dirstamp) \
956         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
957 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo:  \
958         sci_gateway/cpp/$(am__dirstamp) \
959         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
960 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo:  \
961         sci_gateway/cpp/$(am__dirstamp) \
962         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
963 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo:  \
964         sci_gateway/cpp/$(am__dirstamp) \
965         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
966 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo:  \
967         sci_gateway/cpp/$(am__dirstamp) \
968         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
969 sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo:  \
970         sci_gateway/cpp/$(am__dirstamp) \
971         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
972
973 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
974         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
975
976 mostlyclean-compile:
977         -rm -f *.$(OBJEXT)
978         -rm -f sci_gateway/cpp/*.$(OBJEXT)
979         -rm -f sci_gateway/cpp/*.lo
980         -rm -f src/c/*.$(OBJEXT)
981         -rm -f src/c/*.lo
982         -rm -f src/cpp/*.$(OBJEXT)
983         -rm -f src/cpp/*.lo
984         -rm -f src/jni/*.$(OBJEXT)
985         -rm -f src/jni/*.lo
986         -rm -f src/noui_data/*.$(OBJEXT)
987         -rm -f src/noui_data/*.lo
988
989 distclean-compile:
990         -rm -f *.tab.c
991
992 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
993 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
994 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
995 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
996 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
997 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Plo@am__quote@
998 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
999 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
1000 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
1001 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
1002 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
1003 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
1004 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
1005 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
1006 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Plo@am__quote@
1007
1008 .c.o:
1009 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1010 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1011 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1012 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1013 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1014 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1015
1016 .c.obj:
1017 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1018 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1019 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1020 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1021 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1022 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1023
1024 .c.lo:
1025 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1026 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1027 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1028 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1029 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1030 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1031
1032 src/jni/libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
1033 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1034 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
1035 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='src/jni/libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1036 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1037 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1038
1039 src/c/libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
1040 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1041 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
1042 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='src/c/libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
1043 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1044 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1045
1046 src/noui_data/libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
1047 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1048 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
1049 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='src/noui_data/libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
1050 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1051 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1052
1053 .cpp.o:
1054 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1055 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1056 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1057 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1058 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1059 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1060
1061 .cpp.obj:
1062 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1063 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1064 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1065 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1066 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1067 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1068
1069 .cpp.lo:
1070 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1071 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1072 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1073 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1074 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1075 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1076
1077 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
1078 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1079 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='src/jni/libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
1081 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1082 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1083
1084 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
1085 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-EditVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1086 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
1087 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='src/jni/libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
1088 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1089 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1090
1091 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
1092 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1093 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
1094 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='src/jni/libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
1095 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1096 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1097
1098 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
1099 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1100 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
1101 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='src/cpp/libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
1102 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1103 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1104
1105 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
1106 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1107 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
1108 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
1109 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1110 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1111
1112 src/noui_data/libsciui_data_disable_la-noui_data_gw.lo: src/noui_data/noui_data_gw.cpp
1113 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data_gw.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data_gw.lo `test -f 'src/noui_data/noui_data_gw.cpp' || echo '$(srcdir)/'`src/noui_data/noui_data_gw.cpp
1114 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Plo
1115 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/noui_data/noui_data_gw.cpp' object='src/noui_data/libsciui_data_disable_la-noui_data_gw.lo' libtool=yes @AMDEPBACKSLASH@
1116 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1117 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data_gw.lo `test -f 'src/noui_data/noui_data_gw.cpp' || echo '$(srcdir)/'`src/noui_data/noui_data_gw.cpp
1118
1119 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
1120 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_editvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1121 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo
1122 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
1123 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1124 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1125
1126 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
1127 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1128 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
1129 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
1130 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1131 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1132
1133 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
1134 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1135 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
1136 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
1137 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1138 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1139
1140 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
1141 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1142 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
1143 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
1144 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1145 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1146
1147 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
1148 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1149 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
1150 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
1151 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1152 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1153
1154 sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo: sci_gateway/cpp/ui_data_gw.cpp
1155 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Tpo -c -o sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo `test -f 'sci_gateway/cpp/ui_data_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/ui_data_gw.cpp
1156 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Plo
1157 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/ui_data_gw.cpp' object='sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo' libtool=yes @AMDEPBACKSLASH@
1158 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1159 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo `test -f 'sci_gateway/cpp/ui_data_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/ui_data_gw.cpp
1160
1161 mostlyclean-libtool:
1162         -rm -f *.lo
1163
1164 clean-libtool:
1165         -rm -rf .libs _libs
1166         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1167         -rm -rf src/c/.libs src/c/_libs
1168         -rm -rf src/cpp/.libs src/cpp/_libs
1169         -rm -rf src/jni/.libs src/jni/_libs
1170         -rm -rf src/noui_data/.libs src/noui_data/_libs
1171 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1172         @$(NORMAL_INSTALL)
1173         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1174         if test -n "$$list"; then \
1175           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1176           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1177         fi; \
1178         for p in $$list; do \
1179           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1180           echo "$$d$$p"; \
1181         done | $(am__base_list) | \
1182         while read files; do \
1183           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1184           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1185         done
1186
1187 uninstall-libsciui_data_la_etcDATA:
1188         @$(NORMAL_UNINSTALL)
1189         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1190         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1191         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1192 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1193         @$(NORMAL_INSTALL)
1194         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1195         if test -n "$$list"; then \
1196           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1197           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1198         fi; \
1199         for p in $$list; do \
1200           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1201           echo "$$d$$p"; \
1202         done | $(am__base_list) | \
1203         while read files; do \
1204           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1205           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1206         done
1207
1208 uninstall-libsciui_data_la_rootDATA:
1209         @$(NORMAL_UNINSTALL)
1210         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1211         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1212         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1213 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1214         @$(NORMAL_INSTALL)
1215         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1216         if test -n "$$list"; then \
1217           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1218           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1219         fi; \
1220         $(am__nobase_list) | while read dir files; do \
1221           xfiles=; for file in $$files; do \
1222             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1223             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1224           test -z "$$xfiles" || { \
1225             test "x$$dir" = x. || { \
1226               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1227               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1228             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1229             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1230         done
1231
1232 uninstall-nobase_libsciui_data_la_iconsDATA:
1233         @$(NORMAL_UNINSTALL)
1234         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1235         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1236         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1237
1238 ID: $(am__tagged_files)
1239         $(am__define_uniq_tagged_files); mkid -fID $$unique
1240 tags: tags-am
1241 TAGS: tags
1242
1243 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1244         set x; \
1245         here=`pwd`; \
1246         $(am__define_uniq_tagged_files); \
1247         shift; \
1248         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1249           test -n "$$unique" || unique=$$empty_fix; \
1250           if test $$# -gt 0; then \
1251             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1252               "$$@" $$unique; \
1253           else \
1254             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1255               $$unique; \
1256           fi; \
1257         fi
1258 ctags: ctags-am
1259
1260 CTAGS: ctags
1261 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1262         $(am__define_uniq_tagged_files); \
1263         test -z "$(CTAGS_ARGS)$$unique" \
1264           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1265              $$unique
1266
1267 GTAGS:
1268         here=`$(am__cd) $(top_builddir) && pwd` \
1269           && $(am__cd) $(top_srcdir) \
1270           && gtags -i $(GTAGS_ARGS) "$$here"
1271 cscopelist: cscopelist-am
1272
1273 cscopelist-am: $(am__tagged_files)
1274         list='$(am__tagged_files)'; \
1275         case "$(srcdir)" in \
1276           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1277           *) sdir=$(subdir)/$(srcdir) ;; \
1278         esac; \
1279         for i in $$list; do \
1280           if test -f "$$i"; then \
1281             echo "$(subdir)/$$i"; \
1282           else \
1283             echo "$$sdir/$$i"; \
1284           fi; \
1285         done >> $(top_builddir)/cscope.files
1286
1287 distclean-tags:
1288         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1289
1290 distdir: $(DISTFILES)
1291         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1292         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1293         list='$(DISTFILES)'; \
1294           dist_files=`for file in $$list; do echo $$file; done | \
1295           sed -e "s|^$$srcdirstrip/||;t" \
1296               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1297         case $$dist_files in \
1298           */*) $(MKDIR_P) `echo "$$dist_files" | \
1299                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1300                            sort -u` ;; \
1301         esac; \
1302         for file in $$dist_files; do \
1303           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1304           if test -d $$d/$$file; then \
1305             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1306             if test -d "$(distdir)/$$file"; then \
1307               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1308             fi; \
1309             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1310               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1311               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1312             fi; \
1313             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1314           else \
1315             test -f "$(distdir)/$$file" \
1316             || cp -p $$d/$$file "$(distdir)/$$file" \
1317             || exit 1; \
1318           fi; \
1319         done
1320 check-am: all-am
1321         $(MAKE) $(AM_MAKEFLAGS) check-local
1322 check: $(BUILT_SOURCES)
1323         $(MAKE) $(AM_MAKEFLAGS) check-am
1324 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1325 installdirs:
1326         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1327           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1328         done
1329 install: $(BUILT_SOURCES)
1330         $(MAKE) $(AM_MAKEFLAGS) install-am
1331 install-exec: install-exec-am
1332 install-data: install-data-am
1333 uninstall: uninstall-am
1334
1335 install-am: all-am
1336         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1337
1338 installcheck: installcheck-am
1339 install-strip:
1340         if test -z '$(STRIP)'; then \
1341           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1342             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1343               install; \
1344         else \
1345           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1346             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1347             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1348         fi
1349 mostlyclean-generic:
1350
1351 clean-generic:
1352
1353 distclean-generic:
1354         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1355         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1356         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1357         -rm -f sci_gateway/cpp/$(am__dirstamp)
1358         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1359         -rm -f src/c/$(am__dirstamp)
1360         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1361         -rm -f src/cpp/$(am__dirstamp)
1362         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1363         -rm -f src/jni/$(am__dirstamp)
1364         -rm -f src/noui_data/$(DEPDIR)/$(am__dirstamp)
1365         -rm -f src/noui_data/$(am__dirstamp)
1366
1367 maintainer-clean-generic:
1368         @echo "This command is intended for maintainers to use"
1369         @echo "it deletes files that may require special tools to rebuild."
1370         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1371 clean: clean-am
1372
1373 clean-am: clean-generic clean-libtool clean-local \
1374         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1375
1376 distclean: distclean-am
1377         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1378         -rm -f Makefile
1379 distclean-am: clean-am distclean-compile distclean-generic \
1380         distclean-local distclean-tags
1381
1382 dvi: dvi-am
1383
1384 dvi-am:
1385
1386 html: html-am
1387
1388 html-am:
1389
1390 info: info-am
1391
1392 info-am:
1393
1394 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1395         install-libsciui_data_la_rootDATA \
1396         install-nobase_libsciui_data_la_iconsDATA
1397
1398 install-dvi: install-dvi-am
1399
1400 install-dvi-am:
1401
1402 install-exec-am: install-pkglibLTLIBRARIES
1403
1404 install-html: install-html-am
1405
1406 install-html-am: install-html-local
1407
1408 install-info: install-info-am
1409
1410 install-info-am:
1411
1412 install-man:
1413
1414 install-pdf: install-pdf-am
1415
1416 install-pdf-am:
1417
1418 install-ps: install-ps-am
1419
1420 install-ps-am:
1421
1422 installcheck-am:
1423
1424 maintainer-clean: maintainer-clean-am
1425         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1426         -rm -f Makefile
1427 maintainer-clean-am: distclean-am maintainer-clean-generic
1428
1429 mostlyclean: mostlyclean-am
1430
1431 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1432         mostlyclean-libtool
1433
1434 pdf: pdf-am
1435
1436 pdf-am:
1437
1438 ps: ps-am
1439
1440 ps-am:
1441
1442 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1443         uninstall-libsciui_data_la_rootDATA \
1444         uninstall-nobase_libsciui_data_la_iconsDATA \
1445         uninstall-pkglibLTLIBRARIES
1446
1447 .MAKE: all check check-am install install-am install-strip
1448
1449 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1450         check-local clean clean-generic clean-libtool clean-local \
1451         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1452         ctags ctags-am distclean distclean-compile distclean-generic \
1453         distclean-libtool distclean-local distclean-tags distdir dvi \
1454         dvi-am html html-am info info-am install install-am \
1455         install-data install-data-am install-data-local install-dvi \
1456         install-dvi-am install-exec install-exec-am install-html \
1457         install-html-am install-html-local install-info \
1458         install-info-am install-libsciui_data_la_etcDATA \
1459         install-libsciui_data_la_rootDATA install-man \
1460         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1461         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1462         install-ps-am install-strip installcheck installcheck-am \
1463         installdirs maintainer-clean maintainer-clean-generic \
1464         mostlyclean mostlyclean-compile mostlyclean-generic \
1465         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1466         uninstall-am uninstall-libsciui_data_la_etcDATA \
1467         uninstall-libsciui_data_la_rootDATA \
1468         uninstall-nobase_libsciui_data_la_iconsDATA \
1469         uninstall-pkglibLTLIBRARIES
1470
1471 .PRECIOUS: Makefile
1472
1473
1474 # This target enables tests for Scilab
1475 check-local: $(top_builddir)/scilab-bin test
1476         if test -d $(mydatadir)/tests; then \
1477           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1478         fi
1479 check-code:
1480         if test -f build.xml; then \
1481                 $(ANT) checkstyle; \
1482         fi
1483         if test -x "$(SPLINT)"; then \
1484                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1485         fi
1486 @NEED_JAVA_TRUE@java:
1487 # Some configurations needs to export JAVA_HOME in the current env
1488 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1489 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1490 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1491 @NEED_JAVA_TRUE@                $(ANT); \
1492 @NEED_JAVA_TRUE@        fi
1493
1494 @NEED_JAVA_TRUE@clean-java:
1495 # Some configurations needs to export JAVA_HOME in the current env
1496 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1497 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1498 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1499 @NEED_JAVA_TRUE@                $(ANT) clean; \
1500 @NEED_JAVA_TRUE@        fi;
1501
1502 # If the user request for the SWIG generation of the wrappers Java => C/C++
1503 # We call the target swig-build on the variable SWIG_WRAPPERS
1504
1505 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1506 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1507 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1508 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1509 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1510 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1511 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1512 @SWIG_TRUE@             done; \
1513 @SWIG_TRUE@     fi
1514
1515 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1516 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1517 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1518 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1519 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1520 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1521 @SWIG_TRUE@             done; \
1522 @SWIG_TRUE@     fi
1523
1524 # If the user request for the SWIG generation of the wrappers Java => C/C++
1525 # We call the target swig-build on the variable SWIG_WRAPPERS
1526
1527 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1528 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1529 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1530 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1531 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1532 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1533 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1534 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1535 @GIWS_TRUE@                     else \
1536 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1537 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1538 @GIWS_TRUE@                     fi \
1539 @GIWS_TRUE@             done; \
1540 @GIWS_TRUE@     fi
1541
1542 @GIWS_TRUE@giws-exception:
1543 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1544 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1545 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1546
1547 macros:
1548         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1549                 echo "Error : Cannot build $< : Scilab has not been built"; \
1550         else \
1551                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1552         fi)
1553
1554 # Removes the macros
1555 clean-macros:
1556 # Removes macros (*.bin generated from .sci)
1557         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1558                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1559                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1560         done
1561
1562 test:
1563 # More tests could be added here
1564         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1565         if test -f build.xml -a $$USEANT -eq 1; then \
1566                 $(ANT) test; \
1567         fi
1568
1569 all-local: $(TARGETS_ALL)
1570
1571 .sci.bin:
1572         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1573         echo "Error : Cannot build $< : Scilab has not been build"; \
1574         else \
1575         echo "Creating $@"; \
1576         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1577         fi )
1578
1579 install-html-local:
1580
1581 install-data-local-local:
1582 # Mainly for javasci
1583         @if test -d $(srcdir)/javadoc; then \
1584                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1585         fi
1586 # If the user wants the help sources to be installed
1587 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1588 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1589 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1590 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1591 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1592 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1593 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1594 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1595 @INSTALL_HELP_XML_TRUE@           done ; \
1596 @INSTALL_HELP_XML_TRUE@         fi; \
1597 @INSTALL_HELP_XML_TRUE@  fi; \
1598 @INSTALL_HELP_XML_TRUE@ done; \
1599 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1600 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1601 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1602 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1603 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1604 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1605 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1606 @INSTALL_HELP_XML_TRUE@           done ; \
1607 @INSTALL_HELP_XML_TRUE@         fi; \
1608 @INSTALL_HELP_XML_TRUE@ fi
1609 install-data-local:
1610 # Install the tests
1611         @echo "-------- Install tests (if any) --------"; \
1612         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1613           if test -d $(srcdir)/$$dir/; then \
1614             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1615                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1616                     if test -d "$(srcdir)/$$dir/$$file"; then \
1617                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1618                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1619                     else \
1620                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1621                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1622                     fi \
1623                   done; \
1624           fi; \
1625         done
1626 # Install the help chapter
1627         @echo "-------- Install the help chapter (if any) --------"; \
1628         for lang in $(HELP_CHAPTERLANG); do \
1629                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1630                 if test -f $$HELPFILE; then \
1631                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1632                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1633                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1634                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1635                 fi; \
1636         done
1637 # Install the demos & examples
1638         @echo "-------- Install demos & examples (if any) --------"; \
1639         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1640           if test -d $(srcdir)/$$dir/; then \
1641             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1642                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1643                     if test -d "$(srcdir)/$$dir/$$file"; then \
1644                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1645                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1646                     else \
1647                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1648                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1649                     fi \
1650                   done; \
1651           fi; \
1652         done
1653 # Install the macros
1654         @echo "-------- Install macros (if any) --------"; \
1655         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1656           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1657                 if test -d $(srcdir)/$$dir/; then \
1658                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1659                         if test -n "$(MACROSSPECIALEXT)"; then \
1660                                 specialExtDir=""; \
1661                                 for specialExt in $(MACROSSPECIALEXT); do \
1662                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1663                                 done; \
1664                                 FILELIST="$$FILELIST $$specialExtDir"; \
1665                         fi; \
1666                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1667                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1668                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1669                   done; \
1670                 fi; \
1671         done
1672 # Install java files (.jar)
1673         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1674         echo "-------- Install jar files --------"; \
1675     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1676           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1677                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1678                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1679           done ; \
1680         fi
1681
1682 ########### CLEAN ###################
1683 # Clean help (generated automatically by Scilab)
1684 # It used to clean the macro (clean-macros) but this was causing
1685 # make clean && make to fail Scilab startup
1686 @NEED_JAVA_TRUE@clean-local: clean-java
1687 @NEED_JAVA_FALSE@clean-local:
1688
1689 distclean-local:
1690         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1691
1692 .PHONY: macros java swig giws
1693
1694 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1695 # Otherwise a system limit (for SysV at least) may be exceeded.
1696 .NOEXPORT: